Bug 524487 - stickynotes_applet - applet buttons do not react
Summary: stickynotes_applet - applet buttons do not react
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-applets
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 574696
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 18:57 UTC by Adam Pribyl
Modified: 2011-06-27 14:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:24:02 UTC


Attachments (Terms of Use)

Description Adam Pribyl 2009-09-20 18:57:01 UTC
Description of problem:
When I enter a new sticky note, and I want to delete the note, the menu asking me wherether I really want to delete it appears, but whatever button I press, there is no action. The same happens when I select preferences from the stickynotes main menu. 

Version-Release number of selected component (if applicable):
gnome-applets-2.26.3-1.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Just add a new sticky note  (not a Tomboy please) to your panel.
2. Add a new note
3. Try to delete it.
  
Actual results:
No button reaction...

Comment 1 Frank Cox 2009-09-26 05:17:48 UTC
I see the same behaviour with gnome-applets-2.26.3-1.fc11.x86_64

Note that if you remove all of the text from your note before clicking on the close button, the note can be deleted, likely because it bypasses the "Delete this sticky note?" window.

Otherwise, the only way I have found to delete the note is to "killall stickynotes_applet" then say yes when prompted to reload the applet.

Attempting to delete a note with any text in it brings up the "Delete this sticky note? This can not be undone" window and neither the original sticky note or the "Delete this" window can be closed.

The only way I have found to delete the note and remove the "Delete this" window is to "killall stickynotes_applet" then say yes when prompted to reload the applet.

Comment 2 Michael Cronenworth 2009-09-29 21:06:00 UTC
+1 me too. You can close the window by hitting the window's delete button (X).

If I get free time I'll investigate it, but it seems like the latest gtk2 update broke this. Since this applet is so poorly written it's possible some weird callback routine is now broken or it is exploiting a new gtk2 bug.

Comment 3 Bruce Jerrick 2009-10-01 08:02:14 UTC
Reverting to gtk2-2.16.5-1.fc11 is sufficient to restore functionality.

-- Bruce Jerrick

Comment 4 Michael Cronenworth 2010-03-27 04:58:22 UTC
The gnome-applets-2.28.0 code in F12 fixes this. To use the new applet code you need the patch from bug 574696 and build a custom RPM with stickynotes enabled for building.

Comment 5 Bug Zapper 2010-04-28 10:29:49 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-02 17:43:04 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2011-06-27 14:24:02 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.